

uniform mat4 mat_view ;
uniform mat4 mat_proj ;
uniform mat4 mat_world ;

void main()
{
	vec4 vertex = gl_Vertex * 800.0 ;
	vertex.w = 1.0 ;

	gl_TexCoord[0].xy = sign(gl_Vertex.xy) *0.5 + 0.5;

	gl_Position = mat_proj * mat_view * mat_world * vertex ;
}